Loading...
Searching...
No Matches
irr::scene::IParticleAttractionAffector Class Referenceabstract

A particle affector which attracts or detracts particles. More...

`#include <IParticleAttractionAffector.h>`

Inheritance diagram for irr::scene::IParticleAttractionAffector:

## Public Member Functions

virtual bool | getAffectX () const =0
| Get whether or not the particles X position are affected.
virtual bool | getAffectY () const =0
| Get whether or not the particles Y position are affected.
virtual bool | getAffectZ () const =0
| Get whether or not the particles Z position are affected.
virtual bool | getAttract () const =0
| Get whether or not the particles are attracting or detracting.
virtual const core::vector3df & | getPoint () const =0
| Get the point that particles are attracted to.
virtual E_PARTICLE_AFFECTOR_TYPE | getType () const
| Get emitter type.
virtual void | setAffectX (bool affect)=0
| Set whether or not this will affect particles in the X direction.
virtual void | setAffectY (bool affect)=0
| Set whether or not this will affect particles in the Y direction.
virtual void | setAffectZ (bool affect)=0
| Set whether or not this will affect particles in the Z direction.
virtual void | setAttract (bool attract)=0
| Set whether or not the particles are attracting or detracting.
virtual void | setPoint (const core::vector3df &point)=0
| Set the point that particles will attract to.
Public Member Functions inherited from irr::scene::IParticleAffector
| IParticleAffector ()
| constructor
virtual void | affect (u32 now, SParticle *particlearray, u32 count)=0
| Affects an array of particles.
virtual bool | getEnabled () const
| Gets whether or not the affector is currently enabled.
virtual void | setEnabled (bool enabled)
| Sets whether or not the affector is currently enabled.
Public Member Functions inherited from irr::io::IAttributeExchangingObject
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.
Protected Attributes inherited from irr::scene::IParticleAffector
bool | Enabled

## Detailed Description

A particle affector which attracts or detracts particles.

Definition at line 16 of file IParticleAttractionAffector.h.

## Member Function Documentation

## getAffectX()

virtual bool irr::scene::IParticleAttractionAffector::getAffectX | ( |  | ) | const

pure virtual

Get whether or not the particles X position are affected.

## getAffectY()

virtual bool irr::scene::IParticleAttractionAffector::getAffectY | ( |  | ) | const

pure virtual

Get whether or not the particles Y position are affected.

## getAffectZ()

virtual bool irr::scene::IParticleAttractionAffector::getAffectZ | ( |  | ) | const

pure virtual

Get whether or not the particles Z position are affected.

## getAttract()

virtual bool irr::scene::IParticleAttractionAffector::getAttract | ( |  | ) | const

pure virtual

Get whether or not the particles are attracting or detracting.

## getPoint()

virtual const core::vector3df & irr::scene::IParticleAttractionAffector::getPoint | ( |  | ) | const

pure virtual

Get the point that particles are attracted to.

## getType()

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleAttractionAffector::getType | ( |  | ) | const

inline virtual

Get emitter type.

Implements irr::scene::IParticleAffector.

Definition at line 51 of file IParticleAttractionAffector.h.

References irr::scene::EPAT_ATTRACT.

## setAffectX()

virtual void irr::scene::IParticleAttractionAffector::setAffectX | ( | bool | affect | ) |

pure virtual

Set whether or not this will affect particles in the X direction.

References irr::scene::IParticleAffector::affect().

## setAffectY()

virtual void irr::scene::IParticleAttractionAffector::setAffectY | ( | bool | affect | ) |

pure virtual

Set whether or not this will affect particles in the Y direction.

References irr::scene::IParticleAffector::affect().

## setAffectZ()

virtual void irr::scene::IParticleAttractionAffector::setAffectZ | ( | bool | affect | ) |

pure virtual

Set whether or not this will affect particles in the Z direction.

References irr::scene::IParticleAffector::affect().

## setAttract()

virtual void irr::scene::IParticleAttractionAffector::setAttract | ( | bool | attract | ) |

pure virtual

Set whether or not the particles are attracting or detracting.

## setPoint()

virtual void irr::scene::IParticleAttractionAffector::setPoint | ( | const core::vector3df & | point | ) |

pure virtual

Set the point that particles will attract to.

The documentation for this class was generated from the following file:

- IParticleAttractionAffector.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0